%This code generates data for Table 1
%Table 2 is obtained directly from PandQdata.mat
clear all
load Data\dataAER_RR allLVAdata_dropIN

hs=9;
obs=61;
MTX=allLVAdata_dropIN;
MTX=[MTX(:,1:hs) MTX(:,hs+2:hs+obs) MTX(:,hs+obs+2:hs+2*obs)];
obs=60;

[sumRmtx_all,Isum_all,~,~,dpG_all]=pinx_fn(MTX,obs,9,12);

MTX2=MTX(ismember(MTX(:,9),[101 941]),:);
[sumRmtx_D,Isum_D,~,~,dpG_D]=pinx_fn(MTX2,obs,9,12);

MTX2=MTX(~ismember(MTX(:,9),[101 941]),:);
[sumRmtx_F,Isum_F,~,~,dpG_F]=pinx_fn(MTX2,obs,9,12);

TAB1=[sumRmtx_all sumRmtx_D sumRmtx_F]'./1000000;
TAB2=[nan sumRmtx_all(2:end)./sumRmtx_all(1:end-1)-1 ...
     nan sumRmtx_D(2:end)./sumRmtx_D(1:end-1)-1 ...
    nan sumRmtx_F(2:end)./sumRmtx_F(1:end-1)-1]';
TAB3=[nan dpG_all-1 nan dpG_D-1 nan dpG_F-1]';
TAB4=[Isum_all Isum_D Isum_F]';
TABLE1=[TAB1 TAB2 TAB3 TAB4];