%This function modifies 4-digit product codes so that domestic and imported
%counterparts of the same good have identical product code
function MTX_mod=PcodeRelabel_fn(MTX)

MTX(MTX(:,2)==1520,2)=1521;%apples
MTX(MTX(:,2)==1530,2)=1531;%pears
MTX(MTX(:,2)==1573,2)=1691;%avacado in two places
MTX(MTX(:,2)==1600,2)=1601;%tomatoes
MTX(MTX(:,2)==1610,2)=1611;%cucambers
MTX(MTX(:,2)==2403,2)=2400;% packed cheese
MTX(MTX(:,2)==2402,2)=2401;%whole cheese
MTX(MTX(:,2)==3201,2)=3200;% jam
MTX(MTX(:,2)==3205,2)=3204;%marmelade
MTX(MTX(:,2)==2009,2)=4110;%yeast in two places
MTX(MTX(:,2)==4820,2)=4800;%beer bottle
MTX(MTX(:,2)==4821,2)=4801;%beer can
MTX(MTX(:,2)==4822,2)=4802;%beer packs
MTX(MTX(:,2)==4823,2)=4803;%beer PET
MTX(MTX(:,2)==4961,2)=4960;%vodka
MTX(MTX(:,2)==4971,2)=4970;%liqueurs
MTX(MTX(:,2)==5092,2)=5091;%non-alco beer
MTX(ismember(MTX(:,2),4900:4909),2)=4900;% group together red wines from all sources
MTX(ismember(MTX(:,2),4910:4919),2)=4910;% group together rose and blush wines from all sources
MTX(ismember(MTX(:,2),4920:4929),2)=4920;% group together white wines from all sources
MTX_mod=MTX;